net.sourceforge.pmd.cpd

## Class CsTokenizer

- java.lang.Object
- - net.sourceforge.pmd.cpd.CsTokenizer

All Implemented Interfaces:
  Tokenizer

    public class CsTokenizer
    extends Object
    implements Tokenizer

This class does a best-guess try-anything tokenization.

Author:
  jheintz

### Constructor Summary

Constructors
Constructor and Description
`CsTokenizer()`

### Method Summary

Methods
`void` `tokenize(SourceCode sourceCode, Tokens tokenEntries)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CsTokenizer

    public CsTokenizer()

### Method Detail

#### tokenize

    public void tokenize(SourceCode sourceCode,
                Tokens tokenEntries)

Specified by:
  `tokenize` in interface `Tokenizer`